Bug 1441199 - Error '[NoMethodError]: undefined method `base_model' for NilClass:Class' generating chargeback for container images report
Summary: Error '[NoMethodError]: undefined method `base_model' for NilClass:Class' gen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.7.3
Assignee: Šimon Lukašík
QA Contact: Einat Pacifici
URL:
Whiteboard:
Depends On: 1440917
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 12:27 UTC by Satoe Imaishi
Modified: 2020-06-11 13:34 UTC (History)
5 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1440917
Environment:
Last Closed: 2017-06-28 14:59:04 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-11 13:06:14 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/7b145d073db2b540dbece9b4064323f6e8e1ad11

commit 7b145d073db2b540dbece9b4064323f6e8e1ad11
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Apr 10 15:47:21 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 11 09:05:15 2017 -0400

    Merge pull request #14713 from isimluk/bz-tbd
    
    Do not pass nil to the assignment mixin
    (cherry picked from commit 17e9829704c2d19dec2787f5c7d11128bfea40b8)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441199

 app/models/metric/chargeback_helper.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 errata-xmlrpc 2017-06-28 14:59:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.